Package org.apache.datasketches.tuple.strings

# Class ArrayOfStringsSummary

java.lang.Object
org.apache.datasketches.tuple.strings.ArrayOfStringsSummary

All Implemented Interfaces:
  `Summary`, `UpdatableSummary<String[]>`

public final class ArrayOfStringsSummary extends Object implements UpdatableSummary<String[]>
Implements UpdatableSummary<String[]>

Author:
  Lee Rhodes

## Method Summary

Modifier and Type
Method
Description
`ArrayOfStringsSummary`
`copy()`
Deep copy.
`boolean`
`equals(Object summary)`
`String[]`
`getValue()`
Returns the nodes array for this summary.
`int`
`hashCode()`
`byte[]`
`toByteArray()`
This is to serialize a Summary instance to a byte array.
`ArrayOfStringsSummary`
`update(String[] value)`
This is to provide a method of updating summaries.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### copy

public ArrayOfStringsSummary copy()
Description copied from interface: `Summary`
Deep copy.

Caution: This must implement a deep copy.

Specified by:
  `copy` in interface `Summary`
Returns:
  deep copy of the Summary

### toByteArray

public byte[] toByteArray()
Description copied from interface: `Summary`
This is to serialize a Summary instance to a byte array.

The user should encode in the byte array its total size, which is used during deserialization, especially if the Summary has variable sized elements.

Specified by:
  `toByteArray` in interface `Summary`
Returns:
  serialized representation of the Summary

### update

public ArrayOfStringsSummary update(String[] value)
Description copied from interface: `UpdatableSummary`
This is to provide a method of updating summaries. This is primarily used internally.

Specified by:
  `update` in interface `UpdatableSummary<String[]>`
Parameters:
  `value` - update value
Returns:
  this

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object summary)

Overrides:
  `equals` in class `Object`

### getValue

public String[] getValue()
Returns the nodes array for this summary.

Returns:
  the nodes array for this summary.